View Issue Details

IDProjectCategoryView StatusLast Update
0002127SOGoBackend Generalpublic2013-01-14 15:27
ReporterBattleMage Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.0.2a 
Target Version2.0.4Fixed in Version2.0.4 
Summary0002127: prependEncryptionScheme setting ignored
DescriptionThe setting is ignored since some time (I have only encountered the problem once, so I'm not sure since when exactly. Probably since the 2.0 release).

This is an excerpt from my settings:

                <key>prependEncryptionScheme</key>
                <string>YES</string>
                <key>type</key>
                <string>sql</string>
                <key>userPasswordAlgorithm</key>
                <string>SSHA256</string>

When changing the password, the scheme is not prepended.
TagsNo tags attached.

Activities

the_nic

the_nic

2013-01-12 16:50

reporter   ~0005162

This is an error in in the documentation, it should be "prependPasswordScheme", not "prependEncryptionScheme"
ludovic

ludovic

2013-01-14 15:27

administrator   ~0005173

Fixed the doc: https://github.com/inverse-inc/sogo/commit/219dfc61c9de6902f77a75cef0c2a105c6751904

Issue History

Date Modified Username Field Change
2012-11-29 08:55 BattleMage New Issue
2013-01-12 16:50 the_nic Note Added: 0005162
2013-01-14 15:27 ludovic Target Version => 2.0.4
2013-01-14 15:27 ludovic Note Added: 0005173
2013-01-14 15:27 ludovic Status new => closed
2013-01-14 15:27 ludovic Resolution open => fixed
2013-01-14 15:27 ludovic Fixed in Version => 2.0.4